> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Payout Action

> 
    Perform an action on a payout, such as confirming or canceling.
  



## OpenAPI

````yaml /openapi.yaml post /payouts/{payoutId}/action
openapi: 3.1.0
info:
  version: 1.807.0
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /payouts/{payoutId}/action:
    post:
      tags:
        - Payouts
      summary: Create Payout Action
      description: |2-

            Perform an action on a payout, such as confirming or canceling.
          
      parameters:
        - schema:
            type: string
            minLength: 1
            maxLength: 64
            description: Payout id.
          required: true
          description: Payout id.
          name: payoutId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              oneOf:
                - type: object
                  properties:
                    action:
                      type: string
                      enum:
                        - Confirm
                    walletId:
                      type: string
                      minLength: 1
                      maxLength: 64
                      pattern: ^wa-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
                      description: The wallet ID to use for the transfer.
                      example: wa-5pfuu-9euek-h0odgb6snva8ph3k
                    transfer:
                      oneOf:
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - Erc20
                            amount:
                              type: string
                              pattern: ^\d+$
                              description: >-
                                The amount of the asset to be paid out in
                                minimum denomination.
                            contract:
                              type: string
                              description: The ERC-20 contract address.
                            to:
                              type: string
                              pattern: ^0x[0-9a-fA-F]{40}$
                              description: The counterparty address for the payout.
                          required:
                            - kind
                            - amount
                            - contract
                            - to
                          title: ERC-20 Transfer
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - Spl
                                - Spl2022
                            amount:
                              type: string
                              pattern: ^\d+$
                              description: >-
                                The amount of the asset to be paid out in
                                minimum denomination.
                            mint:
                              type: string
                              description: The token mint address.
                            to:
                              type: string
                              pattern: ^[1-9A-HJ-NP-Za-km-z]{32,44}$
                              description: The counterparty address for the payout.
                          required:
                            - kind
                            - amount
                            - mint
                            - to
                          title: SPL/SPL-2022 Transfer
                      description: The transfer details for the payout settlement.
                  required:
                    - action
                    - walletId
                    - transfer
                  title: Confirm Payout Action
                - type: object
                  properties:
                    action:
                      type: string
                      enum:
                        - Cancel
                  required:
                    - action
                  title: Cancel Payout Action
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties: {}
      security:
        - authenticationToken: []
          userActionSignature: []
components:
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)
    userActionSignature:
      type: apiKey
      in: header
      name: X-DFNS-USERACTION
      description: >-
        **User Action Signature:** Used to sign the change-inducing API
        requests.

        More details how to generate the token: [User Action Signing
        flows](https://docs.dfns.co/api-reference/auth/signing-flows)

````